'use strict';

var _require = require('chalk'),
    red = _require.red,
    green = _require.green,
    magenta = _require.magenta;

module.exports = {
  logError: function logError(message) {
    return console.error(new Error(red(message)));
  },
  logInfo: function logInfo(message) {
    return console.log(magenta(message));
  },
  logSuccess: function logSuccess(message) {
    return console.log(green(message));
  }
};