"use strict";

module.exports = function (componentName) {
  return "// @flow\n\nimport React, { PureComponent } from 'react';\n\ntype Props = {\n  /** CSS modules style object */\n  theme: {\n    class" + componentName + ": string\n  }\n};\n\n/**\n * NavBar\n * @extends PureComponent<Props>\n */\nclass " + componentName + " extends PureComponent<Props> {\n  render() {\n    const { class" + componentName + " } = this.props;\n    return (\n      <div className={class" + componentName + "}>\n        <h1>Hello from " + componentName + "</h1>\n      </div>\n    );\n  }\n}\n\nexport default " + componentName + ";\n";
};